package ru.dbotthepony.mc.otm.registry

import net.minecraft.world.damagesource.DamageSource

object MDamageTypes {
	val BECOME_ANDROID = ImmutableDamageSource(DamageSource("become_android").bypassArmor().bypassInvul().bypassMagic().bypassEnchantments())
	val BECOME_HUMANE = ImmutableDamageSource(DamageSource("become_humane").bypassArmor().bypassInvul().bypassMagic().bypassEnchantments())
	val EVENT_HORIZON = ImmutableDamageSource(DamageSource("event_horizon").bypassArmor())
	val HAWKING_RADIATION = ImmutableDamageSource(DamageSource("hawking_radiation").bypassArmor())
	val EXOPACK_PROBE = ImmutableDamageSource(DamageSource("exopack_probe").bypassArmor().bypassMagic().bypassEnchantments())
	val EMP = ImmutableDamageSource(DamageSource("emp").bypassArmor())
	val SHOCKWAVE = ImmutableDamageSource(DamageSource("shockwave").bypassArmor())
	val PLASMA = ImmutableDamageSource(DamageSource("plasma"))
	val COSMIC_RAYS = ImmutableDamageSource(DamageSource("cosmic_rays").bypassArmor().bypassMagic().bypassEnchantments())
	val EXPLOSIVE_HAMMER = ImmutableDamageSource(DamageSource("explosive_hammer"))
	val HAMMER_NAIL = ImmutableDamageSource(DamageSource("hammer_nail"))
	val ANDROID_DISCHARGE = ImmutableDamageSource(DamageSource("android_discharge").bypassArmor().bypassInvul().bypassMagic().bypassEnchantments())
}
